﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace testToTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();


            xamDataGrid1.DataSource = CreateData().Tables[0].DefaultView;
            xamDataGrid1.FieldLayoutInitialized += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs>(xamDataGrid1_FieldLayoutInitialized);
            
        }

        void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            // Collapse the First field in every FieldLayout (my First field is ID field)
            e.FieldLayout.Fields[0].Visibility = Visibility.Collapsed;

            // Collapse all the fields that are ID - contains "ID"
            foreach (Field f in e.FieldLayout.Fields)
            {
                if (f.Name.Contains("ID"))
                    f.Visibility = Visibility.Collapsed;
            }
        }
        private DataSet CreateData()
        {
            var people = new DataTable("People");
            people.Columns.Add("PersonID");
            people.Columns.Add("Name");
            people.Rows.Add().ItemArray = new object[] { 1, "John" };
            people.Rows.Add().ItemArray = new object[] { 2, "Mary" };

            var activities = new DataTable("Activities");
            activities.Columns.Add("ActivityID");
            activities.Columns.Add("PersonID");
            activities.Columns.Add("Activity");
            activities.Rows.Add().ItemArray = new object[] { 1, 1, "Swimming" };
            activities.Rows.Add().ItemArray = new object[] { 2, 1, "Hiking" };
            activities.Rows.Add().ItemArray = new object[] { 3, 2, "Biking" };
            activities.Rows.Add().ItemArray = new object[] { 4, 2, "Running" };

            DataSet ds = new DataSet();
            ds.Tables.Add(people);
            ds.Tables.Add(activities);

            var relation = new DataRelation("ActivityRelation", people.Columns["PersonID"], activities.Columns["PersonID"]);
            ds.Relations.Add(relation);

            return ds;
        }
    }
}
